from moviepy.editor import *  #biblioteka za rad sa video zapisima
from PIL import Image  #biblioteka za rad sa slikom

#ucitavanje video datoteke
clip = VideoFileClip("ng_bez_zvuka.mp4")

### Izdvajanje slika iz okvira za prvi sekund ###
#Bice izdvojeno 30 slika posto je FPS 30

i=0 # id slike koja ce biti sacuvana

#sa subclip(start, end) izdvaja se deo videa izmedju start sekunde i end sekunde
#iter_frames() vraca niz kadrova [kadar1, kadar2, ..., kadarN]
#i svaki kadar je opisan sa W*H piksela, a svaki piksel sa 3 vrednosti za boju
# tj. svaki kadar je opisan sa W*H*3 vrednosti sacuvane u nizu
# frame je kadar
for frame in clip.subclip(0, 1).iter_frames():
    new_img = Image.fromarray(frame)  # klasa Image moze da napravi sliku na osnovu niza
                                      # vrednosti koje su dobijene za sliku

    new_img.save(f"{i}.png") #cuvanje slike sa zadatim imenom, tj. ime slike ce biti vrednost
                             # promenljive i
    i=i+1   #povecava se id koji ce se koristiti za sledecu sliku


### Pravljenje novog videa na osnovu izdvojenih slika###

fps=30 #postavljanje zeljenog fps

#ucitavaju se slike sa zadatim imenima,
#pravlje se kadrovi i cuvaju okvira u nizu
#set_duration(x) postavlja se duzina svakog frejma
images_for_video = [ ImageClip(f"{i}.png").set_duration(1/fps) for i in range(0,30)]

#spajanje video klipova koji se nalaze u nizu
new_video=concatenate_videoclips(images_for_video)
# concatenate_videoclips(niz_video_klipova) spaja video klipove u nizu niz_video_klipova

#cuvanje novog videa sa zadatom fps
new_video.write_videofile("video_na_osnovu_slika.mp4", fps=fps)






