import gizeh   # biblioteka za crtanje svg slike
import moviepy.editor as mpy  # biblioteka za rad sa videom
import math  #matematicka biblioteka

W,H = 500,500 # visina i sirina u pikselima
duration = 2 # duzina videa u sekundima
fps=30  # zeljeni fps

#funkcija za crtanje slike jednog okvira
#iscrtava se krug na odredjenoj pozicijom
# t je vreme okvira
def make_frame(t):
    print(t) #ispis vremena
    surface = gizeh.Surface(W,H, bg_color=(1,1,1)) # pravljenje prostora sa crtanje
                                                   # sa velicinom WxH i belom pozadinom

    #crtanje kruga sa poluprecikom 30 i centrom xy=(W/2,H/2) ljubicaste boje fill=(1,0,1)
    #vrsi se rotacija kruga za math.pi/180*(-30 + t*fps) radijana oko tacke  (W/2,H/4))
    circle = gizeh.circle(30, xy = (W/2,H/2), fill=(1,0,1)).rotate(math.pi/180*(-30 + t*fps), center=(W/2,H/4))

    circle.draw(surface) #iscrtavanje kruga u prostoru za crtanje
    return surface.get_npimage()  #vraca se slika kao niz vrednosti

clip = mpy.VideoClip(make_frame, duration=duration)  # definise se kako se prave okviri (pomocu funkcije make_frame)
                                                     # i koliko ce da traje video

clip.write_videofile("circle_zad3.mp4", fps=fps) #cuvanje videa